.igcse-container {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 3%;
  margin-top: 80px;
  margin-bottom: 40px;
}
.igcse-img-block {
  width: 50%;
}
.igcse-img-block img {
  width: 100%;
  height: 420px;
  object-fit: cover;
  object-position: top;
  border-radius: 20px;
}
.igcse-content-block {
  width: 35%;
}
.igcse-content-block p {
  color: #00243d;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
  margin-bottom: 16px;
}

.igse-curriculam-container {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-bottom: 60px;
  align-items: center;
}

.igse-curriculam-card {
  flex: 1;
  min-height: 282px;
  max-width: 400px;
  padding: 40px;
  background-color: #03489f;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  text-align: center;
}

.igse-curriculam-card p {
  color: #fff;
  text-align: center;
  font-family: "Playfair Display";
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: 140%;
}

.igse-curriculam-card span {
  color: #fff;
  display: block;
  text-align: center;
  margin: 8px 0px 24px 0px;
  /* Desktop/B1 Regular */
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
}

.igse-curriculam-card .igse-curriculam-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 151px;
  border-radius: 50px;
  background-color: transparent;
  box-shadow: none;
  border: 1px solid white;
  padding: 10px 24px;
  gap: 10px;
  cursor: pointer;
  transition: all 0.7s;
  text-decoration: none;
}

.igse-curriculam-button:hover {
  background-color: #0066b0;
}

.igse-curriculam-button span {
  margin: 0;
}

.student-support-container {
  width: 100%;
}

.student-support-content {
  width: 100%;
  margin-bottom: 40px;
}

.student-support-content h4 {
  color: #03489f;
  font-family: "Playfair Display";
  font-size: 32px;
  font-style: normal;
  font-weight: 500;
  line-height: 140%;
  margin-bottom: 12px;
}

.student-support-content p {
  color: #00243d;
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
}

.student-support-features-container {
  display: flex;
  flex-direction: column;
  row-gap: 16px;
  margin-bottom: 80px;
}

.student-support-features {
  width: 100%;
  padding: 36px 40px;
  border-radius: 0px 0px 20px 20px;
  border-bottom: 1px solid #c3c3c3;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}

.overflowImg {
  position: absolute;
  top: -50%;
  left: 40%;
  z-index: 2;
  display: none;
  transform: rotate(-4deg);
  width: 304px;
  height: 235px;
  border-radius: 10px;
  object-fit: cover;
}

.student-support-features:hover .overflowImg {
  display: block;
  animation: animateUp 0.6s forwards;
}

@keyframes animateUp {
  0% {
    transform: rotate(-4deg) translateY(40px);
  }
  100% {
    transform: rotate(-4deg) translateY(0);
  }
}
.student-support-features:hover {
  background-color: #fff6e7;
  border-radius: 20px;
  border-bottom: 1px solid var(--Yellow-300, #fca312);
}

.feature-heading {
  color: #00243d;
  font-family: "Playfair Display";
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: 140%;
}

.features-button-span {
  color: #00243d;
  text-align: right;
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
  letter-spacing: 0.2px;
}

.features-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100px;
  background-color: transparent;
  border-radius: 50px;
  border: 1px solid #000;
  padding: 12px 20px;
  gap: 10px;
  cursor: pointer;
  text-decoration: none;
}

.student-support-mobile-container {
  margin-bottom: 60px;
  display: none;
}

.student-support-mobile-features {
  background-color: #fff6e7;
  border-radius: 20px;
  border-bottom: 1px solid var(--Yellow-300, #fca312);
  padding: 12px 26px 12px 12px;
  display: flex;
  align-items: center;
  gap: 16px;
  margin: 24px 0;
  cursor: pointer;
  text-decoration: none;
}

.student-support-mobile-img img {
  width: 136px;
  height: 110px;
  border-radius: 16px;
  object-fit: cover;
}

.student-support-mobile-content {
  display: flex;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
}

.student-support-mobile-content p {
  color: #03489f;
  font-family: "Playfair Display";
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 160%; /* 25.6px */
}

/* MEDIA QUERY */
/* Medium: below 1024px */
@media (max-width: 1024px) {
  .igcse-container {
    gap: 5%;
  }
  .igse-curriculam-card {
    padding: 40px 30px;
  }
}

/* Small: below 820px */
@media (max-width: 820px) {
  .igcse-container {
    margin-top: 50px;
    flex-wrap: wrap;
  }
  .igcse-img-block {
    width: 100%;
  }
  .igcse-content-block {
    width: 100%;
    margin-top: 35px;
  }
  .igse-curriculam-container {
    flex-direction: column;
    gap: 24px;
  }
  .igse-curriculam-card {
    max-width: 100%;
    min-height: auto;
  }
  .student-support-container {
    display: none;
  }
  .student-support-mobile-container {
    display: block;
  }
}

/* Extra Small: below 480px */
@media (max-width: 479px) {
  .igcse-img-block img {
    height: 272px;
    border-radius: 16px;
  }
  .igcse-content-block {
    margin-top: 20px;
  }
  .igse-curriculam-card p {
    font-size: 20px;
  }
  .igse-curriculam-card .classno {
    font-size: 14px;
    margin: 8px 0px 20px 0px;
  }
  .student-support-content h4 {
    font-size: 24px;
  }
}
